<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/"
    xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns="http://www.w3.org/1999/xhtml" exclude-result-prefixes="#default dc dcterms sy tif">
    <!-- -->
    <xsl:template name="HTML010">
        <h1>1. Granule DublinCore</h1>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">title</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dc:title"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">alternative</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:alternative"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">creator</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dc:creator"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">subject</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dc:subject"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">Keywords</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:Keywords"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:for-each select="tif:DublinCore/tif:ControlledVocabulary">
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">ControlledVocabulary</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="."/>
                    <xsl:text> (code: </xsl:text>
                    <xsl:value-of select="./@code"/>
                    <xsl:text>)</xsl:text>
                </xsl:with-param>
            </xsl:call-template>
        </xsl:for-each>
        <!-- -->
        <xsl:for-each select="tif:DublinCore/tif:Classification">
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">Classification</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="."/>
                    <xsl:text> (code: </xsl:text>
                    <xsl:value-of select="./@code"/>
                    <xsl:text>)</xsl:text>
                </xsl:with-param>
            </xsl:call-template>
        </xsl:for-each>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">description</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dc:description"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">tableOfContents</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:tableOfContents"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">abstract</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:abstract"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">publisher</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dc:publisher"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">contributor</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dc:contributor"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">date</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dc:date"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">created</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:created"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">valid</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:valid"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">modified</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:modified"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">issued</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:issued"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">available</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:available"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">dateAccepted</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:dateAccepted"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">dateCopyrighted</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:dateCopyrighted"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">dateSubmitted</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:dateSubmitted"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">type</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dc:type"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">format</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dc:format"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">extent</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:extent"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">medium</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:medium"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">identifier</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dc:identifier"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">bibliographicCitation</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:bibliographicCitation"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">source</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dc:source"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">language</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dc:language"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">relation</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dc:relation"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">isVersionOf</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:isVersionOf"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">hasVersion</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:hasVersion"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">isReplacedBy</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:isReplacedBy"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">replaces</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:replaces"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">isRequiredBy</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:isRequiredBy"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">requires</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:requires"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">isPartOf</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:isPartOf"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">hasPart</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:hasPart"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">isReferencedBy</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:isReferencedBy"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">references</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:references"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">isFormatOf</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:isFormatOf"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">hasFormat</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:hasFormat"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">conformsTo</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:conformsTo"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">coverage</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dc:coverage"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">spatial</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:spatial"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">temporal</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:temporal"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">rights</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dc:rights"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">accessRights</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:accessRights"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">audience</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:audience"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">mediator</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:mediator"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <xsl:call-template name="displayElement2">
            <xsl:with-param name="label">educationLevel</xsl:with-param>
            <xsl:with-param name="value">
                <xsl:value-of select="tif:DublinCore/dcterms:educationLevel"/>
            </xsl:with-param>
        </xsl:call-template>
        <!-- -->
        <div class="eltSpacer">.</div>
    </xsl:template>
    <!-- -->
</xsl:stylesheet>
