<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/"
    xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns="http://www.w3.org/1999/xhtml" exclude-result-prefixes="#default dc dcterms sy tif">
    <!-- -->
    <xsl:template name="HTML040">
        <h1>4. Granule Contacts <xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="tif:Contacts/@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="tif:Contacts/@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h1>
        <!-- DetailContact -->
        <xsl:for-each select="tif:Contacts/tif:DetailContact">
            <!-- -->
            <h2>Détail Contact <xsl:value-of select="position()"/> : <xsl:value-of
                select="@libelle"/> (type: <xsl:value-of select="./@type"/>) <xsl:call-template name="displayIds">
                    <xsl:with-param name="id">
                        <xsl:value-of select="./@id"/>
                    </xsl:with-param>
                    <xsl:with-param name="idref">
                        <xsl:value-of select="./@idref"/>
                    </xsl:with-param>
                </xsl:call-template>
            </h2>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">Raison Sociale</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:RaisonSociale"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">Sigle</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:Sigle"/>
                </xsl:with-param>
            </xsl:call-template>
            <!--  -->
            <!-- Adresses -->
            <!--  -->
            <h3>Liste des Adresses <xsl:call-template name="displayIds">
                    <xsl:with-param name="id">
                        <xsl:value-of select="./tif:Adresses/@id"/>
                    </xsl:with-param>
                    <xsl:with-param name="idref">
                        <xsl:value-of select="./tif:Adresses/@idref"/>
                    </xsl:with-param>
                </xsl:call-template>
            </h3>
            <!-- DetailAdresse -->
            <xsl:for-each select="./tif:Adresses/tif:DetailAdresse">
                <!-- -->
                <h3>Adresse<xsl:value-of select="position()"/>
                    <xsl:call-template name="displayIds">
                        <xsl:with-param name="id">
                            <xsl:value-of select="./@id"/>
                        </xsl:with-param>
                        <xsl:with-param name="idref">
                            <xsl:value-of select="./@idref"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </h3>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Adresse 1</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:Adr1"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Adresse 2</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:Adr2"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Adresse 3</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:Adr3"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Code Postal</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:CodePostal"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Commune</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:if test="normalize-space(./tif:Commune)!='' or normalize-space(./tif:Commune/@code)!='' ">
                            <xsl:value-of select="./tif:Commune"/>
                            <xsl:text> (code: </xsl:text>
                            <xsl:value-of select="./tif:Commune/@code"/>
                            <xsl:text>)</xsl:text>
                        </xsl:if>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Bureau Distributeur</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:BureauDistrib"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Cedex</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:Cedex"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Province / Etat</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:ProvinceEtat"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Pays</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:if test="normalize-space(./tif:Pays)!='' or normalize-space(./tif:Pays/@code)!='' ">
                            <xsl:value-of select="./tif:Pays"/>
                            <xsl:text> (code: </xsl:text>
                            <xsl:value-of select="./tif:Pays/@code"/>
                            <xsl:text>)</xsl:text>
                        </xsl:if>
                    </xsl:with-param>
                </xsl:call-template>
                <!--  -->
                <!-- DetailGeolocalisation -->
                <!--  -->
                <xsl:if test="./tif:DetailGeolocalisation/@idref != '' ">
                    <h3>Detail Géolocalisation <xsl:value-of select="position()"/>
                        <xsl:call-template name="displayIds">
                            <xsl:with-param name="id">
                                <xsl:value-of select="./tif:DetailGeolocalisation/@id"/>
                            </xsl:with-param>
                            <xsl:with-param name="idref">
                                <xsl:value-of select="./tif:DetailGeolocalisation/@idref"/>
                            </xsl:with-param>
                        </xsl:call-template>
                    </h3>
                    <xsl:call-template name="displayElement3">
                        <xsl:with-param name="label">-&gt;</xsl:with-param>
                        <xsl:with-param name="value">
                            <xsl:text>libelle: </xsl:text>
                            <xsl:value-of select="./tif:DetailGeolocalisation/@libelle"/>
                            <xsl:text> type: </xsl:text>
                            <xsl:value-of select="./tif:DetailGeolocalisation/@type"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </xsl:if>
                <!--  -->
                <!-- Personnes -->
                <!--  -->
                <h4>Liste des Personnes <xsl:call-template name="displayIds">
                        <xsl:with-param name="id">
                            <xsl:value-of select="./tif:Personnes/@id"/>
                        </xsl:with-param>
                        <xsl:with-param name="idref">
                            <xsl:value-of select="./tif:Personnes/@idref"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </h4>
                <!-- DetailPersonne -->
                <xsl:for-each select="./tif:Personnes/tif:DetailPersonne">
                    <!-- -->
                    <h4>Personne <xsl:value-of select="position()"/>
                        <xsl:call-template name="displayIds">
                            <xsl:with-param name="id">
                                <xsl:value-of select="./@id"/>
                            </xsl:with-param>
                            <xsl:with-param name="idref">
                                <xsl:value-of select="./@idref"/>
                            </xsl:with-param>
                        </xsl:call-template>
                    </h4>
                    <!-- -->
                    <xsl:call-template name="displayElement4">
                        <xsl:with-param name="label">-&gt;</xsl:with-param>
                        <xsl:with-param name="value">
                            <xsl:value-of select="@libelle"/>
                            <xsl:text> (type: </xsl:text>
                            <xsl:value-of select="./@type"/>
                            <xsl:text>)</xsl:text>
                        </xsl:with-param>
                    </xsl:call-template>
                    <!-- -->
                    <xsl:call-template name="displayElement4">
                        <xsl:with-param name="label">Civilite</xsl:with-param>
                        <xsl:with-param name="value">
                            <xsl:if test="normalize-space(./tif:Civilite)!='' or normalize-space(./tif:Civilite/@type)!='' ">
                                <xsl:value-of select="./tif:Civilite"/>
                                <xsl:text> (type:</xsl:text>
                                <xsl:value-of select="./tif:Civilite/@type"/>
                                <xsl:text>)</xsl:text>
                            </xsl:if>
                        </xsl:with-param>
                    </xsl:call-template>
                    <!-- -->
                    <xsl:call-template name="displayElement4">
                        <xsl:with-param name="label">Prénom / Nom</xsl:with-param>
                        <xsl:with-param name="value">
                            <xsl:if test="normalize-space(./tif:Prenom)!='' and normalize-space(./tif:Nom)!='' ">
                                <xsl:value-of select="./tif:Prenom"/>
                                <xsl:text> / </xsl:text>
                                <xsl:value-of select="./tif:Nom"/>
                            </xsl:if>
                        </xsl:with-param>
                    </xsl:call-template>
                    <!-- -->
                    <xsl:call-template name="displayElement4">
                        <xsl:with-param name="label">Fonction</xsl:with-param>
                        <xsl:with-param name="value">
                            <xsl:value-of select="./tif:Fonction"/>
                        </xsl:with-param>
                    </xsl:call-template>
                    <!-- -->
                    <xsl:call-template name="displayElement4">
                        <xsl:with-param name="label">Service</xsl:with-param>
                        <xsl:with-param name="value">
                            <xsl:value-of select="./tif:Service"/>
                        </xsl:with-param>
                    </xsl:call-template>
                    <!--  -->
                    <!-- MoyensCommunications -->
                    <!--  -->
                    <h5>Moyens de Communications <xsl:call-template name="displayIds">
                            <xsl:with-param name="id">
                                <xsl:value-of select="./tif:MoyensCommunications/@id"/>
                            </xsl:with-param>
                            <xsl:with-param name="idref">
                                <xsl:value-of select="./tif:MoyensCommunications/@idref"/>
                            </xsl:with-param>
                        </xsl:call-template>
                    </h5>
                    <!-- DetailMoyenCom -->
                    <xsl:for-each select="./tif:MoyensCommunications/tif:DetailMoyenCom">
                        <!-- -->
                        <h5>Moyen Com. <xsl:value-of select="position()"/>
                            <xsl:call-template name="displayIds">
                                <xsl:with-param name="id">
                                    <xsl:value-of select="./@id"/>
                                </xsl:with-param>
                                <xsl:with-param name="idref">
                                    <xsl:value-of select="./@idref"/>
                                </xsl:with-param>
                            </xsl:call-template>
                        </h5>
                        <!-- -->
                        <xsl:call-template name="displayElement5">
                            <xsl:with-param name="label">-&gt;</xsl:with-param>
                            <xsl:with-param name="value">
                                <xsl:value-of select="@libelle"/>
                                <xsl:text> (type: </xsl:text>
                                <xsl:value-of select="./@type"/>
                                <xsl:text>)</xsl:text>
                            </xsl:with-param>
                        </xsl:call-template>
                        <!-- -->
                        <xsl:for-each select="./tif:Coord">
                            <xsl:call-template name="displayElement5">
                                <xsl:with-param name="label">Coordonnées</xsl:with-param>
                                <xsl:with-param name="value">
                                    <xsl:value-of select="."/>
                                </xsl:with-param>
                            </xsl:call-template>
                        </xsl:for-each>
                        <!-- -->
                        <xsl:for-each select="./tif:ObservationDetailMoyenCom">
                            <xsl:call-template name="displayElement5">
                                <xsl:with-param name="label">Observations</xsl:with-param>
                                <xsl:with-param name="value">
                                    <xsl:value-of select="."/>
                                </xsl:with-param>
                            </xsl:call-template>
                        </xsl:for-each>
                        <!-- -->
                        <!-- DetailMoyenCom -->
                    </xsl:for-each>
                    <!-- -->
                    <!-- DetailPersonne -->
                </xsl:for-each>
                <!-- -->
                <!-- DetailAdresse -->
            </xsl:for-each>
            <!-- DetailContact -->
        </xsl:for-each>
        <!-- -->
        <div class="eltSpacer">.</div>
    </xsl:template>
    <!-- -->
</xsl:stylesheet>
