<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/"
    xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns="http://www.w3.org/1999/xhtml" exclude-result-prefixes="#default dc dcterms sy tif">
    <!-- -->
    <xsl:template name="HTML080">
        <h1>8. Granule Géolocalisations <xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="tif:Geolocalisations/@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="tif:Geolocalisations/@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h1>
        <!-- -->
        <!-- DetailGeolocalisation -->
        <!-- -->
        <xsl:for-each select="tif:Geolocalisations/tif:DetailGeolocalisation">
            <!-- -->
            <h2>Détail Géolocalisation <xsl:value-of select="position()"/> : <xsl:value-of
                select="@libelle"/> (<xsl:value-of select="./@type"/>) <xsl:call-template name="displayIds">
                    <xsl:with-param name="id">
                        <xsl:value-of select="./@id"/>
                    </xsl:with-param>
                    <xsl:with-param name="idref">
                        <xsl:value-of select="./@idref"/>
                    </xsl:with-param>
                </xsl:call-template>
            </h2>
            <!-- -->
            <!-- Zone -->
            <!-- -->
            <xsl:for-each select="./tif:Zone">
                <h3>Zone <xsl:value-of select="position()"/>
                    <xsl:call-template name="displayIds">
                        <xsl:with-param name="id">
                            <xsl:value-of select="./@id"/>
                        </xsl:with-param>
                        <xsl:with-param name="idref">
                            <xsl:value-of select="./@idref"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </h3>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">-&gt;</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="@libelle"/>
                        <xsl:text> (type: </xsl:text>
                        <xsl:value-of select="./@type"/>
                        <xsl:text>)</xsl:text>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Nom</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:if test="normalize-space(./tif:Nom)!='' ">
                            <xsl:value-of select="./tif:Nom"/>
                            <xsl:text> (code: </xsl:text>
                            <xsl:value-of select="./tif:Nom/@code"/>
                            <xsl:text>)</xsl:text>
                        </xsl:if>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <!-- Points -->
                <!-- -->
                <h4>Liste des Points <xsl:call-template name="displayIds">
                        <xsl:with-param name="id">
                            <xsl:value-of select="./tif:Points/@id"/>
                        </xsl:with-param>
                        <xsl:with-param name="idref">
                            <xsl:value-of select="./tif:Points/@idref"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </h4>
                <!-- -->
                <!-- DetailPoint -->
                <!-- -->
                <xsl:for-each select="./tif:Points/tif:DetailPoint">
                    <h4>Point <xsl:value-of select="position()"/>
                        <xsl:call-template name="displayIds">
                            <xsl:with-param name="id">
                                <xsl:value-of select="./@id"/>
                            </xsl:with-param>
                            <xsl:with-param name="idref">
                                <xsl:value-of select="./@idref"/>
                            </xsl:with-param>
                        </xsl:call-template>
                    </h4>
                    <!-- -->
                    <xsl:call-template name="displayElement4">
                        <xsl:with-param name="label">-&gt;</xsl:with-param>
                        <xsl:with-param name="value">
                            <xsl:value-of select="@libelle"/>
                            <xsl:text> (type: </xsl:text>
                            <xsl:value-of select="./@type"/>
                            <xsl:text>)</xsl:text>
                        </xsl:with-param>
                    </xsl:call-template>
                    <!-- -->
                    <xsl:call-template name="displayElement4">
                        <xsl:with-param name="label">Nom</xsl:with-param>
                        <xsl:with-param name="value">
                            <xsl:value-of select="./tif:Nom"/>
                        </xsl:with-param>
                    </xsl:call-template>
                    <!-- -->
                    <xsl:call-template name="displayElement4">
                        <xsl:with-param name="label">Commune</xsl:with-param>
                        <xsl:with-param name="value">
                            <xsl:if test="normalize-space(./tif:Commune)!='' or normalize-space(./tif:Commune/@code)!='' ">
                                <xsl:value-of select="./tif:Commune"/>
                                <xsl:text> (code: </xsl:text>
                                <xsl:value-of select="./tif:Commune/@code"/>
                                <xsl:text>)</xsl:text>
                            </xsl:if>
                        </xsl:with-param>
                    </xsl:call-template>
                    <!-- -->
                    <!-- Coordonnees/DetailCoordonnees -->
                    <!-- -->
                    <h5>Liste des Coordonnées <xsl:call-template name="displayIds">
                            <xsl:with-param name="id">
                                <xsl:value-of select="./tif:Coordonnees/@id"/>
                            </xsl:with-param>
                            <xsl:with-param name="idref">
                                <xsl:value-of select="./tif:Coordonnees/@idref"/>
                            </xsl:with-param>
                        </xsl:call-template>
                    </h5>
                    <!-- -->
                    <!-- DetailCoordonnees -->
                    <!-- -->
                    <xsl:for-each select="./tif:Coordonnees/tif:DetailCoordonnees">
                        <h5>Coordonnée <xsl:value-of select="position()"/>
                            <xsl:call-template name="displayIds">
                                <xsl:with-param name="id">
                                    <xsl:value-of select="./@id"/>
                                </xsl:with-param>
                                <xsl:with-param name="idref">
                                    <xsl:value-of select="./@idref"/>
                                </xsl:with-param>
                            </xsl:call-template>
                        </h5>
                        <!-- -->
                        <xsl:call-template name="displayElement5">
                            <xsl:with-param name="label">-&gt;</xsl:with-param>
                            <xsl:with-param name="value">
                                <xsl:value-of select="@libelle"/>
                                <xsl:text> (type: </xsl:text>
                                <xsl:value-of select="./@type"/>
                                <xsl:text>)</xsl:text>
                            </xsl:with-param>
                        </xsl:call-template>
                        <!-- -->
                        <xsl:call-template name="displayElement5">
                            <xsl:with-param name="label">Longitude</xsl:with-param>
                            <xsl:with-param name="value">
                                <xsl:value-of select="./tif:Longitude"/>
                            </xsl:with-param>
                        </xsl:call-template>
                        <!-- -->
                        <xsl:call-template name="displayElement5">
                            <xsl:with-param name="label">Latitude</xsl:with-param>
                            <xsl:with-param name="value">
                                <xsl:value-of select="./tif:Latitude"/>
                            </xsl:with-param>
                        </xsl:call-template>
                        <!-- -->
                        <xsl:call-template name="displayElement5">
                            <xsl:with-param name="label">Altitude</xsl:with-param>
                            <xsl:with-param name="value">
                                <xsl:value-of select="./tif:Altitude"/>
                            </xsl:with-param>
                        </xsl:call-template>
                        <!-- -->
                        <!-- DetailCoordonnees -->
                    </xsl:for-each>
                    <!-- -->
                    <!-- Multimedia -->
                    <!-- -->
                    <xsl:if test="./tif:Multimedia != '' or ./tif:Multimedia/@idref != '' ">
                        <h5>Liste des objets multimedia <xsl:call-template name="displayIds">
                                <xsl:with-param name="id">
                                    <xsl:value-of select="./tif:Multimedia/@id"/>
                                </xsl:with-param>
                                <xsl:with-param name="idref">
                                    <xsl:value-of select="./tif:Multimedia/@idref"/>
                                </xsl:with-param>
                            </xsl:call-template>
                        </h5>
                        <xsl:if test="./tif:Multimedia/tif:DetailMultimedia/@type != '' ">
                            <xsl:for-each select="./tif:Multimedia/tif:DetailMultimedia">
                                <h6>Detail Multimedia <xsl:value-of select="position()"/>
                                    <xsl:call-template name="displayIds">
                                        <xsl:with-param name="id">
                                            <xsl:value-of select="./@id"/>
                                        </xsl:with-param>
                                        <xsl:with-param name="idref">
                                            <xsl:value-of select="./@idref"/>
                                        </xsl:with-param>
                                    </xsl:call-template>
                                </h6>
                                <!-- -->
                                <xsl:call-template name="displayElement6">
                                    <xsl:with-param name="label">-&gt;</xsl:with-param>
                                    <xsl:with-param name="value">
                                        <xsl:text>libelle: </xsl:text>
                                        <xsl:value-of select="./@libelle"/>
                                        <xsl:text>, type: </xsl:text>
                                        <xsl:value-of select="./@type"/>
                                    </xsl:with-param>
                                </xsl:call-template>
                            </xsl:for-each>
                        </xsl:if>
                    </xsl:if>
                    <!-- -->
                    <!-- Environnements -->
                    <!-- -->
                    <h5>Liste des Environnements <xsl:call-template name="displayIds">
                            <xsl:with-param name="id">
                                <xsl:value-of select="./tif:Environnements/@id"/>
                            </xsl:with-param>
                            <xsl:with-param name="idref">
                                <xsl:value-of select="./tif:Environnements/@idref"/>
                            </xsl:with-param>
                        </xsl:call-template>
                    </h5>
                    <!-- -->
                    <!-- DetailEnvironnement -->
                    <!-- -->
                    <xsl:for-each select="./tif:Environnements/tif:DetailEnvironnement">
                        <h5>Environnement <xsl:value-of select="position()"/>
                            <xsl:call-template name="displayIds">
                                <xsl:with-param name="id">
                                    <xsl:value-of select="./@id"/>
                                </xsl:with-param>
                                <xsl:with-param name="idref">
                                    <xsl:value-of select="./@idref"/>
                                </xsl:with-param>
                            </xsl:call-template>
                        </h5>
                        <!-- -->
                        <xsl:call-template name="displayElement5">
                            <xsl:with-param name="label">-&gt;</xsl:with-param>
                            <xsl:with-param name="value">
                                <xsl:value-of select="@libelle"/>
                                <xsl:text> (type: </xsl:text>
                                <xsl:value-of select="./@type"/>
                                <xsl:text>)</xsl:text>
                            </xsl:with-param>
                        </xsl:call-template>
                        <!-- -->
                        <xsl:call-template name="displayElement5">
                            <xsl:with-param name="label">Nom</xsl:with-param>
                            <xsl:with-param name="value">
                                <xsl:value-of select="./tif:Nom"/>
                            </xsl:with-param>
                        </xsl:call-template>
                        <!-- -->
                        <xsl:call-template name="displayElement5">
                            <xsl:with-param name="label">Distance</xsl:with-param>
                            <xsl:with-param name="value">
                                <xsl:value-of select="./tif:Distance"/>
                                <xsl:value-of select="./tif:Distance/@libelle"/>
                                <xsl:text> (unite: </xsl:text>
                                <xsl:value-of select="./tif:Distance/@unite"/>
                                <xsl:text>)</xsl:text>
                            </xsl:with-param>
                        </xsl:call-template>
                        <!-- -->
                        <xsl:call-template name="displayElement5">
                            <xsl:with-param name="label">Commune</xsl:with-param>
                            <xsl:with-param name="value">
                                <xsl:if test="normalize-space(./tif:Commune)!='' or normalize-space(./tif:Commune/@code)!='' ">
                                    <xsl:value-of select="./tif:Commune"/>
                                    <xsl:text> (code: </xsl:text>
                                    <xsl:value-of select="./tif:Commune/@code"/>
                                    <xsl:text>)</xsl:text>
                                </xsl:if>
                            </xsl:with-param>
                        </xsl:call-template>
                        <!-- -->
                        <xsl:call-template name="displayElement5">
                            <xsl:with-param name="label">Observations</xsl:with-param>
                            <xsl:with-param name="value">
                                <xsl:value-of select="./tif:ObservationDetailEnvironnement"/>
                            </xsl:with-param>
                        </xsl:call-template>
                        <!-- -->
                        <!-- DetailEnvironnement -->
                    </xsl:for-each>
                    <!-- -->
                    <!-- Cartes -->
                    <!-- -->
                    <h5>Liste des Cartes <xsl:call-template name="displayIds">
                            <xsl:with-param name="id">
                                <xsl:value-of select="./tif:Cartes/@id"/>
                            </xsl:with-param>
                            <xsl:with-param name="idref">
                                <xsl:value-of select="./tif:Cartes/@idref"/>
                            </xsl:with-param>
                        </xsl:call-template>
                    </h5>
                    <!-- -->
                    <!-- DetailCarte -->
                    <!-- -->
                    <xsl:for-each select="./tif:Cartes/tif:DetailCarte">
                        <h5>Carte <xsl:value-of select="position()"/>
                            <xsl:call-template name="displayIds">
                                <xsl:with-param name="id">
                                    <xsl:value-of select="./@id"/>
                                </xsl:with-param>
                                <xsl:with-param name="idref">
                                    <xsl:value-of select="./@idref"/>
                                </xsl:with-param>
                            </xsl:call-template>
                        </h5>
                        <!-- -->
                        <xsl:call-template name="displayElement5">
                            <xsl:with-param name="label">-&gt;</xsl:with-param>
                            <xsl:with-param name="value">
                                <xsl:value-of select="@libelle"/>
                                <xsl:text> (type: </xsl:text>
                                <xsl:value-of select="./@type"/>
                                <xsl:text>)</xsl:text>
                            </xsl:with-param>
                        </xsl:call-template>
                        <!-- -->
                        <xsl:call-template name="displayElement5">
                            <xsl:with-param name="label">Pli</xsl:with-param>
                            <xsl:with-param name="value">
                                <xsl:value-of select="./tif:Pli"/>
                            </xsl:with-param>
                        </xsl:call-template>
                        <!-- -->
                        <xsl:call-template name="displayElement5">
                            <xsl:with-param name="label">Reference</xsl:with-param>
                            <xsl:with-param name="value">
                                <xsl:value-of select="./tif:Reference"/>
                            </xsl:with-param>
                        </xsl:call-template>
                        <!-- -->
                        <!-- DetailCarte -->
                    </xsl:for-each>
                    <!-- -->
                    <!-- Acces -->
                    <!-- -->
                    <h5>Liste des Acces <xsl:call-template name="displayIds">
                            <xsl:with-param name="id">
                                <xsl:value-of select="./tif:Acces/@id"/>
                            </xsl:with-param>
                            <xsl:with-param name="idref">
                                <xsl:value-of select="./tif:Acces/@idref"/>
                            </xsl:with-param>
                        </xsl:call-template>
                    </h5>
                    <!-- -->
                    <!-- DetailAcces -->
                    <!-- -->
                    <xsl:for-each select="./tif:Acces/tif:DetailAcces">
                        <h5>Acces <xsl:value-of select="position()"/>
                            <xsl:call-template name="displayIds">
                                <xsl:with-param name="id">
                                    <xsl:value-of select="./@id"/>
                                </xsl:with-param>
                                <xsl:with-param name="idref">
                                    <xsl:value-of select="./@idref"/>
                                </xsl:with-param>
                            </xsl:call-template>
                        </h5>
                        <!-- -->
                        <xsl:call-template name="displayElement5">
                            <xsl:with-param name="label">-&gt;</xsl:with-param>
                            <xsl:with-param name="value">
                                <xsl:value-of select="@libelle"/>
                                <xsl:text> (type: </xsl:text>
                                <xsl:value-of select="./@type"/>
                                <xsl:text>)</xsl:text>
                            </xsl:with-param>
                        </xsl:call-template>
                        <!-- -->
                        <xsl:call-template name="displayElement5">
                            <xsl:with-param name="label">Nom</xsl:with-param>
                            <xsl:with-param name="value">
                                <xsl:value-of select="./tif:Nom"/>
                            </xsl:with-param>
                        </xsl:call-template>
                        <!-- -->
                        <xsl:call-template name="displayElement5">
                            <xsl:with-param name="label">Distance</xsl:with-param>
                            <xsl:with-param name="value">
                                <xsl:value-of select="./tif:Distance"/>
                                <xsl:value-of select="./tif:Distance/@libelle"/>
                                <xsl:text> (unite: </xsl:text>
                                <xsl:value-of select="./tif:Distance/@unite"/>
                                <xsl:text>)</xsl:text>
                            </xsl:with-param>
                        </xsl:call-template>
                        <!-- -->
                        <xsl:call-template name="displayElement5">
                            <xsl:with-param name="label">Observations</xsl:with-param>
                            <xsl:with-param name="value">
                                <xsl:value-of select="./tif:ObservationDetailAcces"/>
                            </xsl:with-param>
                        </xsl:call-template>
                        <!-- -->
                        <!-- Acces/DetailAcces -->
                    </xsl:for-each>
                    <!-- -->
                    <!-- DetailPoint -->
                </xsl:for-each>
                <!-- -->
                <!-- Zone -->
            </xsl:for-each>
            <!-- -->
            <!-- DetailGeolocalisation -->
        </xsl:for-each>
        <!-- -->
        <div class="eltSpacer">.</div>
    </xsl:template>
    <!-- -->
</xsl:stylesheet>
