<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/"
    xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns="http://www.w3.org/1999/xhtml" exclude-result-prefixes="#default dc dcterms sy tif">
    <!-- -->
    <xsl:template name="HTML090">
        <h1>9. Granule Périodes<xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="tif:Periodes/@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="tif:Periodes/@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h1>
        <!-- -->
        <!-- DetailPeriode -->
        <!-- -->
        <xsl:for-each select="tif:Periodes/tif:DetailPeriode">
            <!-- -->
            <h2>Détail Période <xsl:value-of select="position()"/> : <xsl:value-of
                select="@libelle"/> (<xsl:value-of select="./@type"/>) <xsl:call-template name="displayIds">
                    <xsl:with-param name="id">
                        <xsl:value-of select="./@id"/>
                    </xsl:with-param>
                    <xsl:with-param name="idref">
                        <xsl:value-of select="./@idref"/>
                    </xsl:with-param>
                </xsl:call-template>
            </h2>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">Nom</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:Nom"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">Observations</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:ObservationDetailPeriode"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <!-- Dates -->
            <!-- -->
            <h3>Liste des Dates <xsl:call-template name="displayIds">
                    <xsl:with-param name="id">
                        <xsl:value-of select="./tif:Dates/@id"/>
                    </xsl:with-param>
                    <xsl:with-param name="idref">
                        <xsl:value-of select="./tif:Dates/@idref"/>
                    </xsl:with-param>
                </xsl:call-template>
            </h3>
            <!-- -->
            <!-- DetailDates -->
            <!-- -->
            <xsl:for-each select="./tif:Dates/tif:DetailDates">
                <h3>Dates <xsl:value-of select="position()"/>
                    <xsl:call-template name="displayIds">
                        <xsl:with-param name="id">
                            <xsl:value-of select="./@id"/>
                        </xsl:with-param>
                        <xsl:with-param name="idref">
                            <xsl:value-of select="./@idref"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </h3>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Date de début</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:DateDebut"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Date de fin</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:DateFin"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Observations</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:ObservationDates"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <!-- Jours -->
                <!-- -->
                <h4>Liste des Jours <xsl:call-template name="displayIds">
                        <xsl:with-param name="id">
                            <xsl:value-of select="./tif:Jours/@id"/>
                        </xsl:with-param>
                        <xsl:with-param name="idref">
                            <xsl:value-of select="./tif:Jours/@idref"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </h4>
                <!-- -->
                <!-- DetailJours -->
                <!-- -->
                <xsl:for-each select="./tif:Jours/tif:DetailJours">
                    <h4>Jours <xsl:value-of select="position()"/>
                        <xsl:call-template name="displayIds">
                            <xsl:with-param name="id">
                                <xsl:value-of select="./@id"/>
                            </xsl:with-param>
                            <xsl:with-param name="idref">
                                <xsl:value-of select="./@idref"/>
                            </xsl:with-param>
                        </xsl:call-template>
                    </h4>
                    <!-- -->
                    <xsl:call-template name="displayElement4">
                        <xsl:with-param name="label">-&gt;</xsl:with-param>
                        <xsl:with-param name="value">
                            <xsl:value-of select="@libelle"/>
                            <xsl:text> (type: </xsl:text>
                            <xsl:value-of select="./@type"/>
                            <xsl:text>)</xsl:text>
                        </xsl:with-param>
                    </xsl:call-template>
                    <!-- -->
                    <!-- Jour -->
                    <!-- -->
                    <xsl:for-each select="./tif:Jour">
                        <h5>Jour <xsl:value-of select="position()"/>
                            <xsl:call-template name="displayIds">
                                <xsl:with-param name="id">
                                    <xsl:value-of select="./@id"/>
                                </xsl:with-param>
                                <xsl:with-param name="idref">
                                    <xsl:value-of select="./@idref"/>
                                </xsl:with-param>
                            </xsl:call-template>
                        </h5>
                        <!-- -->
                        <xsl:call-template name="displayElement4">
                            <xsl:with-param name="label">-&gt;</xsl:with-param>
                            <xsl:with-param name="value">
                                <xsl:value-of select="@libelle"/>
                                <xsl:text> (lib_jour: </xsl:text>
                                <xsl:value-of select="./@lib_jour"/>
                                <xsl:text>)</xsl:text>
                            </xsl:with-param>
                        </xsl:call-template>
                        <!-- -->
                        <!-- Horaires -->
                        <!-- -->
                        <xsl:for-each select="./tif:Horaires">
                            <h6>Horaires <xsl:value-of select="position()"/>
                                <xsl:call-template name="displayIds">
                                    <xsl:with-param name="id">
                                        <xsl:value-of select="./@id"/>
                                    </xsl:with-param>
                                    <xsl:with-param name="idref">
                                        <xsl:value-of select="./@idref"/>
                                    </xsl:with-param>
                                </xsl:call-template>
                            </h6>
                            <!-- -->
                            <xsl:call-template name="displayElement6">
                                <xsl:with-param name="label">Horairede début</xsl:with-param>
                                <xsl:with-param name="value">
                                    <xsl:value-of select="./tif:HoraireDebut"/>
                                </xsl:with-param>
                            </xsl:call-template>
                            <!-- -->
                            <xsl:call-template name="displayElement6">
                                <xsl:with-param name="label">Horairede fin</xsl:with-param>
                                <xsl:with-param name="value">
                                    <xsl:value-of select="./tif:HoraireFin"/>
                                </xsl:with-param>
                            </xsl:call-template>
                            <!-- -->
                            <!-- Horaires -->
                        </xsl:for-each>
                        <!-- -->
                        <!-- Jour -->
                    </xsl:for-each>
                    <!-- -->
                    <!-- DetailJours -->
                </xsl:for-each>
                <!-- -->
                <!-- DetailDates -->
            </xsl:for-each>
            <!-- -->
            <!-- DetailPeriode -->
        </xsl:for-each>
        <!-- -->
        <div class="eltSpacer">.</div>
    </xsl:template>
    <!-- -->
</xsl:stylesheet>
