<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/"
    xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns="http://www.w3.org/1999/xhtml" exclude-result-prefixes="#default dc dcterms sy tif">
    <!-- -->
    <xsl:template name="HTML140">
        <h1>14. Granule Capacités<xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="tif:Capacites/@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="tif:Capacites/@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h1>
        <!--  -->
        <!-- CapacitesGlobales -->
        <!--  -->
        <h2>Capacités globales <xsl:value-of select="tif:Capacites/tif:CapacitesGlobales/@libelle"/>
            (type: <xsl:value-of select="tif:Capacites/tif:CapacitesGlobales/@type"/>)
                <xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="tif:Capacites/tif:CapacitesGlobales/@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="tif:Capacites/tif:CapacitesGlobales/@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h2>
        <!-- Capacite -->
        <xsl:for-each select="tif:Capacites/tif:CapacitesGlobales/tif:Capacite">
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Capacité</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="."/>
                    <xsl:text>&#32;</xsl:text>
                    <xsl:value-of select="./@libelle"/>
                    <xsl:text> (unite: </xsl:text>
                    <xsl:value-of select="./@unite"/>
                    <xsl:text>)</xsl:text>
                </xsl:with-param>
            </xsl:call-template>
        </xsl:for-each>
        <!-- Superficie -->
        <xsl:for-each select="tif:Capacites/tif:CapacitesGlobales/tif:Superficie">
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Superficie</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="."/>
                    <xsl:text>&#32;</xsl:text>
                    <xsl:value-of select="./@libelle"/>
                    <xsl:text> (unite: </xsl:text>
                    <xsl:value-of select="./@unite"/>
                    <xsl:text>)</xsl:text>
                </xsl:with-param>
            </xsl:call-template>
        </xsl:for-each>
        <!--  -->
        <!-- CapacitesPrestations -->
        <!--  -->
        <h2>Capacités prestations <xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="tif:Capacites/tif:CapacitesPrestations/@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="tif:Capacites/tif:CapacitesPrestations/@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h2>
        <!-- DetailCapacitePrestation-->
        <xsl:for-each select="tif:Capacites/tif:CapacitesPrestations/tif:DetailCapacitePrestation">
            <!-- -->
            <h3>Prestation <xsl:value-of select="position()"/>
                <xsl:call-template name="displayIds">
                    <xsl:with-param name="id">
                        <xsl:value-of select="./@id"/>
                    </xsl:with-param>
                    <xsl:with-param name="idref">
                        <xsl:value-of select="./@idref"/>
                    </xsl:with-param>
                </xsl:call-template>
            </h3>
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">-&gt;</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./@libelle"/>
                    <xsl:text> (type: </xsl:text>
                    <xsl:value-of select="./@type"/>
                    <xsl:text>)</xsl:text>
                </xsl:with-param>
            </xsl:call-template>
            <!-- Capacite -->
            <xsl:for-each select="./tif:Capacite">
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Capacité</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="."/>
                        <xsl:text>&#32;</xsl:text>
                        <xsl:value-of select="./@libelle"/>
                        <xsl:text> (unite: </xsl:text>
                        <xsl:value-of select="./@unite"/>
                        <xsl:text>)</xsl:text>
                    </xsl:with-param>
                </xsl:call-template>
            </xsl:for-each>
            <!-- Superficie -->
            <xsl:for-each select="./tif:Superficie">
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Superficie</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="."/>
                        <xsl:text>&#32;</xsl:text>
                        <xsl:value-of select="./@libelle"/>
                        <xsl:text> (unite: </xsl:text>
                        <xsl:value-of select="./@unite"/>
                        <xsl:text>)</xsl:text>
                    </xsl:with-param>
                </xsl:call-template>
            </xsl:for-each>
            <!-- -->
        </xsl:for-each>
        <!--  -->
        <!-- CapacitesUnites -->
        <!--  -->
        <h2>Capacites unités <xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="tif:Capacites/tif:CapacitesUnites/@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="tif:Capacites/tif:CapacitesUnites/@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h2>
        <!-- DetailCapaciteUnite-->
        <xsl:for-each select="tif:Capacites/tif:CapacitesUnites/tif:DetailCapaciteUnite">
            <!-- -->
            <h3>Unité <xsl:value-of select="position()"/>
                <xsl:call-template name="displayIds">
                    <xsl:with-param name="id">
                        <xsl:value-of select="./@id"/>
                    </xsl:with-param>
                    <xsl:with-param name="idref">
                        <xsl:value-of select="./@idref"/>
                    </xsl:with-param>
                </xsl:call-template>
            </h3>
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">-&gt;</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./@libelle"/>
                    <xsl:text> (type: </xsl:text>
                    <xsl:value-of select="./@type"/>
                    <xsl:text>)</xsl:text>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Type de bâtiment</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:if test="normalize-space(./tif:TypeBatiment)!='' or normalize-space(./tif:TypeBatiment/@type)!='' ">
                        <xsl:value-of select="./tif:TypeBatiment"/>
                        <xsl:text> (type:</xsl:text>
                        <xsl:value-of select="./tif:TypeBatiment/@type"/>
                        <xsl:text>)</xsl:text>
                    </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Nom</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:Nom"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Etage</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:Etage"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Surface moyenne</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:if test="./tif:SurfaceMoyenne != '' ">
                        <xsl:value-of select="./tif:SurfaceMoyenne"/>
                        <xsl:text>&#32;</xsl:text>
                        <xsl:value-of select="./tif:SurfaceMoyenne/@libelle"/>
                        <xsl:text> (unite:</xsl:text>
                        <xsl:value-of select="./tif:SurfaceMoyenne/@type"/>
                        <xsl:text>)</xsl:text>
                    </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Surface min.</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:if test="./tif:SurfaceMini != '' ">
                        <xsl:value-of select="./tif:SurfaceMini"/>
                        <xsl:text>&#32;</xsl:text>
                        <xsl:value-of select="./tif:SurfaceMini/@libelle"/>
                        <xsl:text> (unite:</xsl:text>
                        <xsl:value-of select="./tif:SurfaceMini/@type"/>
                        <xsl:text>)</xsl:text>
                    </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Surface max.</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:if test="./tif:SurfaceMaxi != '' ">
                        <xsl:value-of select="./tif:SurfaceMaxi"/>
                        <xsl:text>&#32;</xsl:text>
                        <xsl:value-of select="./tif:SurfaceMaxi/@libelle"/>
                        <xsl:text> (unite:</xsl:text>
                        <xsl:value-of select="./tif:SurfaceMaxi/@type"/>
                        <xsl:text>)</xsl:text>
                    </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Nombre d'unités</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:NbUnites"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Description</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:DescriptionCapaciteUnite"/>
                </xsl:with-param>
            </xsl:call-template>
            <!--  -->
            <!-- Dispositions -->
            <!--  -->
            <xsl:if test="./tif:Dispositions/tif:DetailDisposition != '' ">
                <h4>Liste des Dispositions <xsl:call-template name="displayIds">
                        <xsl:with-param name="id">
                            <xsl:value-of select="./tif:Dispositions/@id"/>
                        </xsl:with-param>
                        <xsl:with-param name="idref">
                            <xsl:value-of select="./tif:Dispositions/@idref"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </h4>
            </xsl:if>
            <!-- DetailDisposition -->
            <xsl:for-each select="./tif:Dispositions/tif:DetailDisposition">
                <!-- -->
                <h4>Disposition <xsl:value-of select="position()"/>
                    <xsl:call-template name="displayIds">
                        <xsl:with-param name="id">
                            <xsl:value-of select="./@id"/>
                        </xsl:with-param>
                        <xsl:with-param name="idref">
                            <xsl:value-of select="./@idref"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </h4>
                <!-- -->
                <xsl:call-template name="displayElement4">
                    <xsl:with-param name="label">-&gt;</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="@libelle"/>
                        <xsl:text> (type: </xsl:text>
                        <xsl:value-of select="./@type"/>
                        <xsl:text>)</xsl:text>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement4">
                    <xsl:with-param name="label">Capacite moyenne</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:CapaciteMoyenne"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement4">
                    <xsl:with-param name="label">Capacite min.</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:CapaciteMini"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement4">
                    <xsl:with-param name="label">Capacite max.</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:CapaciteMaxi"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- DetailDisposition -->
            </xsl:for-each>
            <!-- -->
        </xsl:for-each>
        <!-- -->
        <div class="eltSpacer">.</div>
    </xsl:template>
    <!-- -->
</xsl:stylesheet>
