<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/"
    xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns="http://www.w3.org/1999/xhtml" exclude-result-prefixes="#default dc dcterms sy tif">
    <!-- -->
    <xsl:template name="HTML150">
        <h1>15. Granule Offres de prestations<xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="tif:OffresPrestations/@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="tif:OffresPrestations/@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h1>
        <!-- -->
        <!-- DetailOffrePrestation -->
        <!-- -->
        <xsl:for-each select="tif:OffresPrestations/tif:DetailOffrePrestation">
            <!-- -->
            <h2>Offre de prestation <xsl:value-of select="position()"/> : <xsl:value-of
                select="@libelle"/> (<xsl:value-of select="./@type"/>) <xsl:call-template name="displayIds">
                    <xsl:with-param name="id">
                        <xsl:value-of select="./@id"/>
                    </xsl:with-param>
                    <xsl:with-param name="idref">
                        <xsl:value-of select="./@idref"/>
                    </xsl:with-param>
                </xsl:call-template>
            </h2>
            <!-- -->
            <!-- DetailPrestation -->
            <!-- -->
            <xsl:for-each select="./tif:DetailPrestation">
                <h3>Prestation <xsl:value-of select="position()"/>
                    <xsl:call-template name="displayIds">
                        <xsl:with-param name="id">
                            <xsl:value-of select="./@id"/>
                        </xsl:with-param>
                        <xsl:with-param name="idref">
                            <xsl:value-of select="./@idref"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </h3>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Prestation</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:if test="normalize-space(./tif:Prestation)!='' or normalize-space(./tif:Prestation/@type)!='' ">
                            <xsl:value-of select="./tif:Prestation"/>
                            <xsl:text> (type: </xsl:text>
                            <xsl:value-of select="./tif:Prestation/@type"/>
                            <xsl:text>)</xsl:text>
                        </xsl:if>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Nom</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:Nom"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Durée prestation</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:if test="normalize-space(./tif:DureePrest)!='' ">
                            <xsl:value-of select="./tif:DureePrest"/>
                            <xsl:text>&#32;</xsl:text>
                            <xsl:value-of select="./tif:DureePrest/@libelle"/>
                            <xsl:text> (unite: </xsl:text>
                            <xsl:value-of select="./tif:DureePrest/@unite"/>
                            <xsl:text>)</xsl:text>
                        </xsl:if>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Nombre de prestation</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:if test="normalize-space(./tif:NbPrest)!='' ">
                            <xsl:value-of select="./tif:NbPrest"/>
                            <xsl:text>&#32;</xsl:text>
                            <xsl:value-of select="./tif:NbPrest/@unite"/>
                        </xsl:if>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Inclus</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:Inclus"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Payant</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:Payant"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Distance</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:if test="normalize-space(./tif:Distance)!='' ">
                            <xsl:value-of select="./tif:Distance"/>
                            <xsl:text>&#32;</xsl:text>
                            <xsl:value-of select="./tif:Distance/@libelle"/>
                            <xsl:text> (unite: </xsl:text>
                            <xsl:value-of select="./tif:Distance/@unite"/>
                            <xsl:text>)</xsl:text>
                        </xsl:if>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Commune</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:if test="normalize-space(./tif:Commune)!='' or normalize-space(./tif:Commune/@code)!='' ">
                            <xsl:value-of select="./tif:Commune"/>
                            <xsl:text> (code: </xsl:text>
                            <xsl:value-of select="./tif:Commune/@code"/>
                            <xsl:text>)</xsl:text>
                        </xsl:if>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">Description</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./tif:DescriptionPrestation"/>
                    </xsl:with-param>
                </xsl:call-template>
                <!--  -->
                <!-- ModesReservations -->
                <!--  -->
                <xsl:if test="./tif:ModesReservations != '' or ./tif:ModesReservations/@idref != '' ">
                    <h3>Modes de réservation <xsl:call-template name="displayIds">
                            <xsl:with-param name="id">
                                <xsl:value-of select="./tif:ModesReservations/@id"/>
                            </xsl:with-param>
                            <xsl:with-param name="idref">
                                <xsl:value-of select="./tif:ModesReservations/@idref"/>
                            </xsl:with-param>
                        </xsl:call-template>
                    </h3>
                    <xsl:if test="./tif:ModesReservations/tif:DetailModeReservation/@type != '' ">
                        <xsl:for-each select="./tif:ModesReservations/tif:DetailModeReservation">
                            <h4>Mode de réservations <xsl:value-of select="position()"/>
                                <xsl:call-template name="displayIds">
                                    <xsl:with-param name="id">
                                        <xsl:value-of select="./@id"/>
                                    </xsl:with-param>
                                    <xsl:with-param name="idref">
                                        <xsl:value-of select="./@idref"/>
                                    </xsl:with-param>
                                </xsl:call-template>
                            </h4>
                            <!-- -->
                            <xsl:call-template name="displayElement4">
                                <xsl:with-param name="label">-&gt;</xsl:with-param>
                                <xsl:with-param name="value">
                                    <xsl:text>libelle: </xsl:text>
                                    <xsl:value-of select="./@libelle"/>
                                    <xsl:text>, type: </xsl:text>
                                    <xsl:value-of select="./@type"/>
                                </xsl:with-param>
                            </xsl:call-template>
                        </xsl:for-each>
                    </xsl:if>
                </xsl:if>
                <!--  -->
                <!-- DetailCapacitePrestation -->
                <!--  -->
                <xsl:if test="./tif:DetailCapacitePrestation/@idref != '' ">
                    <h3>Capacité prestation <xsl:value-of select="position()"/>
                        <xsl:call-template name="displayIds">
                            <xsl:with-param name="id">
                                <xsl:value-of select="./tif:DetailCapacitePrestation/@id"/>
                            </xsl:with-param>
                            <xsl:with-param name="idref">
                                <xsl:value-of select="./tif:DetailCapacitePrestation/@idref"/>
                            </xsl:with-param>
                        </xsl:call-template>
                    </h3>
                    <xsl:call-template name="displayElement3">
                        <xsl:with-param name="label">-&gt;</xsl:with-param>
                        <xsl:with-param name="value">
                            <xsl:text>libelle: </xsl:text>
                            <xsl:value-of select="./tif:DetailCapacitePrestation/@libelle"/>
                            <xsl:text> type: </xsl:text>
                            <xsl:value-of select="./tif:DetailCapacitePrestation/@type"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </xsl:if>
                <!--  -->
                <!-- DetailCapaciteUnite -->
                <!--  -->
                <xsl:if test="./tif:DetailCapaciteUnite/@idref != '' ">
                    <h3>Capacité unité <xsl:value-of select="position()"/>
                        <xsl:call-template name="displayIds">
                            <xsl:with-param name="id">
                                <xsl:value-of select="./tif:DetailCapaciteUnite/@id"/>
                            </xsl:with-param>
                            <xsl:with-param name="idref">
                                <xsl:value-of select="./tif:DetailCapaciteUnite/@idref"/>
                            </xsl:with-param>
                        </xsl:call-template>
                    </h3>
                    <xsl:call-template name="displayElement3">
                        <xsl:with-param name="label">-&gt;</xsl:with-param>
                        <xsl:with-param name="value">
                            <xsl:text>libelle: </xsl:text>
                            <xsl:value-of select="./tif:DetailCapaciteUnite/@libelle"/>
                            <xsl:text> type: </xsl:text>
                            <xsl:value-of select="./tif:DetailCapaciteUnite/@type"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </xsl:if>
                <!-- -->
                <!-- DetailPrestation -->
            </xsl:for-each>
            <!-- -->
            <!-- DetailOffrePrestation -->
        </xsl:for-each>
        <!-- -->
        <div class="eltSpacer">.</div>
    </xsl:template>
    <!-- -->
</xsl:stylesheet>
