<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/"
    xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns="http://www.w3.org/1999/xhtml" exclude-result-prefixes="#default dc dcterms sy tif">
    <!-- -->
    <xsl:template name="HTML160">
        <h1>16. Granule Descriptions Complémentaires<xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="tif:DescriptionsComplementaires/@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="tif:DescriptionsComplementaires/@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h1>
        <!-- -->
        <!-- DetailDescriptionComplementaire -->
        <!-- -->
        <xsl:for-each select="tif:DescriptionsComplementaires/tif:DetailDescriptionComplementaire">
            <!-- -->
            <h2>Description Complémentaire <xsl:value-of select="position()"/> : <xsl:value-of select="@libelle"/>
                <xsl:text> (type: </xsl:text>
                <xsl:value-of select="./@type"/>
                <xsl:text>, lang: </xsl:text>
                <xsl:value-of select="./@xml:lang"/>
                <xsl:text>)</xsl:text>
                <xsl:call-template name="displayIds">
                    <xsl:with-param name="id">
                        <xsl:value-of select="./@id"/>
                    </xsl:with-param>
                    <xsl:with-param name="idref">
                        <xsl:value-of select="./@idref"/>
                    </xsl:with-param>
                </xsl:call-template>
            </h2>
            <!-- -->
            <!-- Description -->
            <!-- -->
            <xsl:for-each select="./tif:Description">
                <h3>Description <xsl:value-of select="position()"/>
                    <xsl:call-template name="displayIds">
                        <xsl:with-param name="id">
                            <xsl:value-of select="./@id"/>
                        </xsl:with-param>
                        <xsl:with-param name="idref">
                            <xsl:value-of select="./@idref"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </h3>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">-&gt;</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="./@libelle"/>
                        <xsl:text> (type: </xsl:text>
                        <xsl:value-of select="./@type"/>
                        <xsl:text>, lang: </xsl:text>
                        <xsl:value-of select="./@xml:lang"/>
                        <xsl:text>)</xsl:text>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">-&gt;</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:value-of select="."/>
                    </xsl:with-param>
                </xsl:call-template>
                <!-- -->
                <!-- Description -->
            </xsl:for-each>
            <!-- -->
            <!-- DetailDescriptionComplementaire -->
        </xsl:for-each>
        <!-- -->
        <div class="eltSpacer">.</div>
    </xsl:template>
    <!-- -->
</xsl:stylesheet>
