<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/"
    xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns="http://www.w3.org/1999/xhtml" exclude-result-prefixes="#default dc dcterms sy tif">
    <!-- -->
    <xsl:template name="HTML170">
        <h1>17. Granule Thésaurus<xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="tif:Thesaurus/@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="tif:Thesaurus/@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h1>
        <!-- -->
        <!-- ThesaurusMTH -->
        <!-- -->
        <h2>Thésaurus MTH <xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="./@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="./@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h2>
        <!-- -->
        <xsl:for-each select="tif:Thesaurus/tif:ThesaurusMTH/tif:RefThesaurusMTH">
            <!-- -->
            <h3>Référence <xsl:value-of select="position()"/>
            </h3>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">-&gt;</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="."/>
                    <xsl:text> (racine: </xsl:text>
                    <xsl:value-of select="./@racine"/>
                    <xsl:text>, code_theso: </xsl:text>
                    <xsl:value-of select="./@code_theso"/>
                    <xsl:text>, lang: </xsl:text>
                    <xsl:value-of select="./@xml:lang"/>
                    <xsl:text>)</xsl:text>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
        </xsl:for-each>
        <!-- -->
        <!-- ThesaurusAutre -->
        <!-- -->
        <h2>Autres Thesaurus<xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="./@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="./@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h2>
        <!-- -->
        <xsl:for-each select="tif:Thesaurus/tif:ThesaurusAutre/tif:RefThesaurusAutre">
            <!-- -->
            <h3>Référence <xsl:value-of select="position()"/>
            </h3>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">-&gt;</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:text>code_theso: </xsl:text>
                    <xsl:value-of select="./@code_theso"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Libelle</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:Libelle"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Origine</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:if test="normalize-space(./tif:Commune)!='' or normalize-space(./tif:Commune/@code)!='' ">
                        <xsl:value-of select="./tif:Origine"/>
                        <xsl:text> (code: </xsl:text>
                        <xsl:value-of select="./tif:Origine/@code"/>
                        <xsl:text>)</xsl:text>
                    </xsl:if>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement3">
                <xsl:with-param name="label">Observation</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:ObservationThesaurus"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
        </xsl:for-each>
        <!-- -->
        <div class="eltSpacer">.</div>
    </xsl:template>
    <!-- -->
</xsl:stylesheet>
