<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/"
    xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/" xmlns="http://www.w3.org/1999/xhtml" exclude-result-prefixes="#default dc dcterms sy tif">
    <!-- -->
    <xsl:template name="HTML190">
        <h1>19. Granule Plannings<xsl:call-template name="displayIds">
                <xsl:with-param name="id">
                    <xsl:value-of select="tif:Plannings/@id"/>
                </xsl:with-param>
                <xsl:with-param name="idref">
                    <xsl:value-of select="tif:Plannings/@idref"/>
                </xsl:with-param>
            </xsl:call-template>
        </h1>
        <!-- -->
        <!-- DetailPlanning -->
        <!-- -->
        <xsl:for-each select="tif:Plannings/tif:DetailPlanning">
            <!-- -->
            <h2>Planning <xsl:call-template name="displayIds">
                    <xsl:with-param name="id">
                        <xsl:value-of select="./@id"/>
                    </xsl:with-param>
                    <xsl:with-param name="idref">
                        <xsl:value-of select="./@idref"/>
                    </xsl:with-param>
                </xsl:call-template>
            </h2>
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">-&gt;</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:text>libelle: </xsl:text>
                    <xsl:value-of select="../@libelle"/>
                    <xsl:text> type: </xsl:text>
                    <xsl:value-of select="../@type"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">Nom</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:Nom"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- -->
            <xsl:call-template name="displayElement2">
                <xsl:with-param name="label">Observations</xsl:with-param>
                <xsl:with-param name="value">
                    <xsl:value-of select="./tif:ObservationPlanning"/>
                </xsl:with-param>
            </xsl:call-template>
            <!-- DetailPeriode  -->
            <xsl:if test="./tif:DetailPeriode/@idref != '' ">
                <h3>Detail Periode <xsl:call-template name="displayIds">
                        <xsl:with-param name="id">
                            <xsl:value-of select="./tif:DetailPeriode/@id"/>
                        </xsl:with-param>
                        <xsl:with-param name="idref">
                            <xsl:value-of select="./tif:DetailPeriode/@idref"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </h3>
                <xsl:call-template name="displayElement3">
                    <xsl:with-param name="label">-&gt;</xsl:with-param>
                    <xsl:with-param name="value">
                        <xsl:text>libelle: </xsl:text>
                        <xsl:value-of select="./tif:DetailPeriode/@libelle"/>
                        <xsl:text> type: </xsl:text>
                        <xsl:value-of select="./tif:DetailPeriode/@type"/>
                    </xsl:with-param>
                </xsl:call-template>
            </xsl:if>
            <!-- -->
            <!-- PrestationsPlanning -->
            <!-- -->
            <h3>Liste des prestations <xsl:call-template name="displayIds">
                    <xsl:with-param name="id">
                        <xsl:value-of select="./tif:PrestationsPlanning/@id"/>
                    </xsl:with-param>
                    <xsl:with-param name="idref">
                        <xsl:value-of select="./tif:PrestationsPlanning/@idref"/>
                    </xsl:with-param>
                </xsl:call-template>
            </h3>
            <!-- -->
            <!-- DetailPrestationPlanning -->
            <!-- -->
            <xsl:for-each select="./tif:PrestationsPlanning/tif:DetailPrestationPlanning">
                <!-- -->
                <h3>Prestation <xsl:value-of select="position()"/>
                    <xsl:call-template name="displayIds">
                        <xsl:with-param name="id">
                            <xsl:value-of select="./@id"/>
                        </xsl:with-param>
                        <xsl:with-param name="idref">
                            <xsl:value-of select="./@idref"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </h3>
                <!-- -->
                <!-- DetailPrestation -->
                <!-- -->
                <xsl:if test="./tif:DetailPrestation/@idref != '' ">
                    <h4>Detail prestation <xsl:call-template name="displayIds">
                            <xsl:with-param name="id">
                                <xsl:value-of select="./tif:DetailPrestation/@id"/>
                            </xsl:with-param>
                            <xsl:with-param name="idref">
                                <xsl:value-of select="./tif:DetailPrestation/@idref"/>
                            </xsl:with-param>
                        </xsl:call-template>
                    </h4>
                    <xsl:call-template name="displayElement4">
                        <xsl:with-param name="label">-&gt;</xsl:with-param>
                        <xsl:with-param name="value">
                            <xsl:text>libelle: </xsl:text>
                            <xsl:value-of select="./tif:DetailPrestation/@libelle"/>
                            <xsl:text> type: </xsl:text>
                            <xsl:value-of select="./tif:DetailPrestation/@type"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </xsl:if>
                <!-- -->
                <!-- LignePlanning -->
                <!-- -->
                <h4>Ligne du planning <xsl:call-template name="displayIds">
                        <xsl:with-param name="id">
                            <xsl:value-of select="./tif:LignePlanning/@id"/>
                        </xsl:with-param>
                        <xsl:with-param name="idref">
                            <xsl:value-of select="./tif:LignePlanning/@idref"/>
                        </xsl:with-param>
                    </xsl:call-template>
                </h4>
                <!-- -->
                <!-- JourPlanning -->
                <!-- -->
                <xsl:for-each select="./tif:LignePlanning/tif:JourPlanning">
                    <!-- -->
                    <h5>Jour <xsl:value-of select="position()"/>
                        <xsl:call-template name="displayIds">
                            <xsl:with-param name="id">
                                <xsl:value-of select="./@id"/>
                            </xsl:with-param>
                            <xsl:with-param name="idref">
                                <xsl:value-of select="./@idref"/>
                            </xsl:with-param>
                        </xsl:call-template>
                    </h5>
                    <!-- -->
                    <xsl:call-template name="displayElement5">
                        <xsl:with-param name="label">AnNumJour</xsl:with-param>
                        <xsl:with-param name="value">
                            <xsl:value-of select="./tif:AnNumJour"/>
                        </xsl:with-param>
                    </xsl:call-template>
                    <!-- -->
                    <xsl:call-template name="displayElement5">
                        <xsl:with-param name="label">Etat</xsl:with-param>
                        <xsl:with-param name="value">
                            <xsl:if test="normalize-space(./tif:Etat)!='' or normalize-space(./tif:Etat/@type)!='' ">
                                <xsl:value-of select="./tif:Etat"/>
                                <xsl:text> (type: </xsl:text>
                                <xsl:value-of select="./tif:Etat/@type"/>
                                <xsl:text>)</xsl:text>
                            </xsl:if>
                        </xsl:with-param>
                    </xsl:call-template>
                    <!-- -->
                    <xsl:call-template name="displayElement5">
                        <xsl:with-param name="label">Quantite</xsl:with-param>
                        <xsl:with-param name="value">
                            <xsl:value-of select="./tif:Quantite"/>
                        </xsl:with-param>
                    </xsl:call-template>
                    <!-- -->
                </xsl:for-each>
                <!-- -->
            </xsl:for-each>
            <!-- -->
        </xsl:for-each>
        <!-- -->
        <div class="eltSpacer">.</div>
    </xsl:template>
    <!-- -->
</xsl:stylesheet>
