<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/"
    xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
    xmlns:tif="http://www.tourinfrance.net/Tourinfrance3/"
    xmlns:fn="http://www.w3.org/2005/02/xpath-functions/"
    xmlns="http://www.tourinfrance.net/Tourinfrance3/" exclude-result-prefixes="#default dc dcterms sy tif">
    <!--  
    Exemple de feuille de style pour générer une fiche XHTML à partir d'un Objet Touristique
    Norme TourinFrance
    Version 3.11
    Copyright © - TourinFrance
    -->
    <xsl:output method="xml" omit-xml-declaration="no" indent="yes" encoding="UTF-8"
        doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>
    <!-- -->
    <xsl:preserve-space elements="*"/>
    <!--
    ========== Librairie par granules ========== 
    -->
    <xsl:include href="Lib/escape-uri.xsl"/>
    <xsl:include href="Lib/HTML000.xsl"/>
    <!--
    ========== Génération du fichier XHTML ==========
    -->
    <xsl:template match="/tif:OI">
        <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
            <head>
                <meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
                <meta name="author" content="TOURINFRANCE"/>
                <meta name="robots" content="all"/>
                <title>Format TourinFrance V3.11 - Fiche objet</title>
                <!-- css -->
                <link rel="stylesheet" type="text/css" href="css/GenFicheXHtml2.css"/>
            </head>
            <body>
                <!--
                ========== Panel général ==========
                -->
                <div id="TIF-container">
                    <!--
                    ========== Panel en-tête ==========
                    titre - classement préfectoral - label tourisme & handicap
                    -->
                    <div id="TIF-top">
                        <h1>Norme V3.11 - Exemple de fiche objet d'information</h1>
                        <h1>&#169; 2004-2005 <a href="http://www.tourinfrance.net" title="">TourinFrance</a>
                        </h1>
                        <h2>
                            <xsl:value-of select="tif:DublinCore/dc:title"/>
                            <xsl:text>&#32;&#32;&#32;&#32;</xsl:text>
                            <xsl:if test="tif:Classements/tif:DetailClassement/@libelle='Préfectoral' ">
                                <img alt="Classement prefectoral">
                                    <xsl:attribute name="src">
                                        <xsl:text>images/</xsl:text>
                                        <xsl:call-template name="tif-escape-uri">
                                            <xsl:with-param name="str" select="normalize-space(tif:Classements/tif:DetailClassement[@libelle='Préfectoral']/tif:Classement)"/>
                                            <xsl:with-param name="allow-utf8" select="false()"/>
                                        </xsl:call-template>
                                        <xsl:text>.gif</xsl:text>
                                    </xsl:attribute>
                                </img>   </xsl:if>
                            <xsl:if test="tif:Classements/tif:DetailClassement/@libelle='Tourisme et handicap'">
                                <img alt="Classement tourisme et handicap">
                                    <xsl:attribute name="src">images/han_label.gif</xsl:attribute>
                                </img>   </xsl:if>
                        </h2>
                    </div>
                    <!--
                    ========== Panel contenu ==========
                    -->
                    <div id="TIF-content">
                        <!--
                        Génération du bloc 1 - informations générales et photo
                        -->
                        <div id="bloc1">
                            <!-- informations générales -->
                            <!-- publisher, identifier, modified, valid -->
                            <div id="bloc11">
                                <div>
                                    <p>
                                        <xsl:value-of select="tif:DublinCore/dcterms:abstract"/>
                                    </p>
                                </div>
                                <div>
                                    <p>
                                        <xsl:value-of select="tif:DublinCore/dc:subject"/>
                                    </p>
                                </div>
                                <div id="bloc111">
                                    <div>
                                        <p>Modifié le <xsl:value-of
                                            select="tif:DublinCore/dcterms:modified"/> - Valable
                                            jusqu'au <xsl:value-of select="tif:DublinCore/dcterms:valid"/>
                                        </p>
                                    </div>
                                    <div>
                                        <p>Code <xsl:value-of
                                            select="tif:DublinCore/dc:identifier"/> - Publié par
                                                <xsl:value-of select="tif:DublinCore/dc:publisher"/>
                                        </p>
                                    </div>
                                </div>
                            </div>
                            <!-- photo -->
                            <div id="bloc12">
                                <p>
                                    <xsl:if test="tif:Multimedia/tif:DetailMultimedia/@libelle = 'Image' ">
                                        <img>
                                            <xsl:attribute name="border" namespace="">0</xsl:attribute>
                                            <xsl:attribute name="src" namespace="">
                                                <xsl:text>../images/</xsl:text>
                                                <xsl:value-of select="tif:Multimedia/tif:DetailMultimedia/tif:URL"/>
                                            </xsl:attribute>
                                        </img>
                                    </xsl:if>
                                    <xsl:if test="normalize-space(tif:Multimedia) = '' ">
                                        <img>
                                            <xsl:attribute name="border" namespace="">0</xsl:attribute>
                                            <xsl:attribute name="src" namespace="">
                                                <xsl:text>../images/photo.jpg</xsl:text>
                                            </xsl:attribute>
                                        </img>
                                    </xsl:if>
                                </p>
                            </div>
                        </div>
                        <!-- description -->
                        <div id="bloc2">
                            <h1>Description</h1>
                            <p>
                                <xsl:value-of select="tif:DublinCore/dc:description"/>
                            </p>
                        </div>
                        <!-- contacts -->
                        <div id="bloc3">
                            <xsl:for-each select="tif:Contacts/tif:DetailContact">
                                <xsl:if test="contains(./@libelle,'Etablissement') or contains(./@libelle,'Information') or contains(./@libelle,'Renseignement') or contains(./@libelle,'Office de Tourisme') ">
                                    <div id="bloc31">
                                        <h1>
                                            <xsl:value-of select="./@libelle"/>
                                        </h1>
                                    </div>
                                    <xsl:if test="./tif:RaisonSociale != '' ">
                                        <div>
                                            <h2>
                                                <xsl:value-of select="./tif:RaisonSociale"/>
                                            </h2>
                                        </div>
                                    </xsl:if>
                                    <!-- 1ère adresse -->
                                    <xsl:if test="./tif:Adresses/tif:DetailAdresse/tif:Adr1 != '' ">
                                        <div>
                                            <p>
                                                <xsl:value-of select="./tif:Adresses/tif:DetailAdresse/tif:Adr1"/>
                                            </p>
                                        </div>
                                    </xsl:if>
                                    <xsl:if test="./tif:Adresses/tif:DetailAdresse/tif:Adr2 != '' ">
                                        <div>
                                            <p>
                                                <xsl:value-of select="./tif:Adresses/tif:DetailAdresse/tif:Adr2"/>
                                            </p>
                                        </div>
                                    </xsl:if>
                                    <xsl:if test="./tif:Adresses/tif:DetailAdresse/tif:Adr3 != '' ">
                                        <div>
                                            <p>
                                                <xsl:value-of select="./tif:Adresses/tif:DetailAdresse/tif:Adr3"/>
                                            </p>
                                        </div>
                                    </xsl:if>
                                    <div>
                                        <p>
                                            <xsl:if test="./tif:Adresses/tif:DetailAdresse/tif:CodePostal != '' ">
                                                <xsl:value-of select="./tif:Adresses/tif:DetailAdresse/tif:CodePostal"/>
                                            </xsl:if>
                                            <xsl:text>&#32;</xsl:text>
                                            <xsl:if test="./tif:Adresses/tif:DetailAdresse/tif:Commune != '' ">
                                                <xsl:value-of select="./tif:Adresses/tif:DetailAdresse/tif:Commune"/>
                                            </xsl:if>
                                            <xsl:text>&#32;</xsl:text>
                                            <xsl:if test="./tif:Adresses/tif:DetailAdresse/tif:BureauDistrib != '' ">
                                                <xsl:value-of select="./tif:Adresses/tif:DetailAdresse/tif:BureauDistrib"/>
                                            </xsl:if>
                                            <xsl:text>&#32;</xsl:text>
                                            <xsl:if test="./tif:Adresses/tif:DetailAdresse/tif:Cedex != '' ">
                                                <xsl:text>Cedex </xsl:text>
                                                <xsl:value-of select="./tif:Adresses/tif:DetailAdresse/tif:Cedex"/>
                                            </xsl:if>
                                        </p>
                                    </div>
                                    <!-- DetailAdresse -->
                                    <!--  -->
                                    <!-- 1ère personne -->
                                    <div>
                                        <xsl:if test="./tif:Adresses/tif:DetailAdresse//tif:Personnes/tif:DetailPersonne/@libelle != '' ">
                                            <h2>
                                                <xsl:value-of select="./tif:Adresses/tif:DetailAdresse//tif:Personnes/tif:DetailPersonne/@libelle"/>
                                            </h2>
                                        </xsl:if>
                                    </div>
                                    <div>
                                        <p>
                                            <xsl:if test="./tif:Adresses/tif:DetailAdresse//tif:Personnes/tif:DetailPersonne/tif:Civilite != '' ">
                                                <xsl:value-of select="./tif:Adresses/tif:DetailAdresse//tif:Personnes/tif:DetailPersonne/tif:Civilite"/>
                                            </xsl:if>
                                            <xsl:text>&#32;</xsl:text>
                                            <xsl:if test="./tif:Adresses/tif:DetailAdresse//tif:Personnes/tif:DetailPersonne/tif:Prenom != '' ">
                                                <xsl:value-of select="./tif:Adresses/tif:DetailAdresse//tif:Personnes/tif:DetailPersonne/tif:Prenom"/>
                                            </xsl:if>
                                            <xsl:text>&#32;</xsl:text>
                                            <xsl:if test="./tif:Adresses/tif:DetailAdresse//tif:Personnes/tif:DetailPersonne/tif:Nom != '' ">
                                                <xsl:value-of select="./tif:Adresses/tif:DetailAdresse//tif:Personnes/tif:DetailPersonne/tif:Nom"/>
                                            </xsl:if>
                                        </p>
                                    </div>
                                    <!-- MoyensCommunications -->
                                    <xsl:for-each select="./tif:Adresses/tif:DetailAdresse/tif:Personnes/tif:DetailPersonne/tif:MoyensCommunications/tif:DetailMoyenCom">
                                        <div>
                                            <h2>
                                                <xsl:value-of select="./@libelle"/>
                                            </h2>
                                        </div>
                                        <xsl:if test="./tif:Coord != '' ">
                                            <div>
                                                <p>
                                                  <xsl:value-of select="./tif:Coord"/>
                                                </p>
                                            </div>
                                        </xsl:if>
                                        <xsl:if test="./tif:ObservationDetailMoyenCom != '' ">
                                            <div>
                                                <p>
                                                  <xsl:value-of select="./tif:ObservationDetailMoyenCom"/>
                                                </p>
                                            </div>
                                        </xsl:if>
                                    </xsl:for-each>
                                    <!-- -->
                                </xsl:if>
                            </xsl:for-each>
                        </div>
                        <!-- -->
                    </div>
                </div>
            </body>
        </html>
        <!-- -->
    </xsl:template>
    <!-- -->
</xsl:stylesheet>
